function opener(url, target, width, height, align, valign, scroll, resize){

	/////////////// window a ? ///////////////////////
	var scWidth = screen.width; 
	var scHeight = screen.height; 

	var toppos = 0;		//? top
	var leftpos = 0;	//? left

	if(align == "center"){
		leftpos = (scWidth- width) / 2 ;
	}else if(align == "right"){
		leftpos = (scWidth- width);
	}else if(align == ''){
		leftpos = (scWidth- width) / 2 ;
	}

	if(valign == "middle"){
		toppos = (scHeight- height) / 2 ;
	}else if(valign == "buttom"){
		toppos = (scHeight- height);
	}else if(valign == ''){
		toppos = (scHeight- height) / 2 ;
	}
	
	target = window.open(url, target, "width="+width+", height="+height+", toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars="+scroll+", resizable="+resize+", left="+leftpos+", top="+ toppos);
//	target = window.open(url, target, "width="+width+", height="+height+", toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=auto, resizable="+resize+", left="+leftpos+", top="+ toppos);
	target.focus();
}

function totperInfo(docID, boardGroupID){
	var width = 600;
	var height = 410;
	var leftpos = (screen.width - width) / 2;
	var toppos = (screen.height - height) / 2;
	window.open("/totsys/common/web/note/popup_totper_info.jsp?docID="+docID+"&boardGroupID="+boardGroupID,"","width="+width+", height="+height+", toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=no,left= "+ leftpos +" ,top= "+ toppos);
}

function getOpener(url, target, width, height, align, valign, scroll, resize){
	
	/////////////// window a ? ///////////////////////
	var scWidth = screen.width; 
	var scHeight = screen.height; 

	var toppos = 0;		//? top
	var leftpos = 0;	//? left

	if(align == "center"){
		leftpos = (scWidth- width) / 2 ;
	}else if(align == "right"){
		leftpos = (scWidth- width);
	}else if(align == ''){
		leftpos = (scWidth- width) / 2 ;
	}

	if(valign == "middle"){
		toppos = (scHeight- height) / 2 ;
	}else if(valign == "buttom"){
		toppos = (scHeight- height);
	}else if(valign == ''){
		toppos = (scHeight- height) / 2 ;
	}
	
	target = window.open(url, target, "width="+width+", height="+height+", toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars="+scroll+", resizable="+resize+", left="+leftpos+", top="+ toppos);
	return target;
}

function popupView(obj_id){
	cpt_layer = document.getElementById(obj_id);
	if(cpt_layer.style.display=='none'){
		//cpt_layer.style.top = window.event.y - 10;
		//cpt_layer.style.left = window.event.x - 130; 
                
                // 2014.09.29 by youngjun cho (첨부파일 리스트 조회 레이어 팝업 출력 위치 조절)
                cpt_layer.style.top = window.event.clientY + 10;
                cpt_layer.style.left = window.event.clientX - 170; 
		cpt_layer.style.display='';
		cpt_layer.style.width = 200;
	}
}

function popupMove(obj_id){
	cpt_layer = document.getElementById(obj_id);
	popupClose(obj_id);
}							

function popupClose(obj_id){
	cpt_layer = document.getElementById(obj_id);
	cpt_layer.style.display='none';
}

function listView(obj_id, show_button, none_button){
	cpt_layer = document.getElementById(obj_id);
	show_layer = document.getElementById(show_button);
	none_layer = document.getElementById(none_button);
	
	if(cpt_layer.style.display=='none'){
		cpt_layer.style.display='';
		show_layer.style.display='none';
		none_layer.style.display='';
	}else{
		cpt_layer.style.display='none';
		show_layer.style.display='';
		none_layer.style.display='none';
	}
	
	
}
/*
function getOpener(url, target, width, height, align, valign, scroll, resize){

	/////////////// window a ? ///////////////////////
	var scWidth = screen.width; 
	var scHeight = screen.height; 

	var toppos = 0;		//? top
	var leftpos = 0;	//? left

	if(align == "center"){
		leftpos = (scWidth- width) / 2 ;
	}else if(align == "right"){
		leftpos = (scWidth- width);
	}

	if(valign == "middle"){
		toppos = (scHeight- height) / 2 ;
	}else if(valign == "buttom"){
		toppos = (scHeight- height);
	}
	
	target = window.open(url, target, "width="+width+", height="+height+", toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars="+scroll+", resizable="+resize+", left="+leftpos+", top="+ toppos);

	return target;
}*/
